#!/usr/bin/python
# -*- coding: utf-8 -*-
##********************************************************************************************************************************************************
##
##  script for calculating Shubert function
##  Copyright (C) 2011 - 2016  Thomas Moeller
##
##  I. Physikalisches Institut, University of Cologne
##
##
##
##  Versions of the program:
##
##  Who           When         What
##
##  T. Moeller    2011-01-01   initial version
##  T. Moeller    2016-05-31   improved version
##
##
##
##  License:
##
##    GNU GENERAL PUBLIC LICENSE
##    Version 3, 29 June 2007
##    (Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>)
##
##
##    This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##
##********************************************************************************************************************************************************


##********************************************************************* load packages ********************************************************************
import sys                                                                                  ## load sys package
import os                                                                                   ## load os package
import math                                                                                 ## load math package
##--------------------------------------------------------------------------------------------------------------------------------------------------------


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## read input file
f = open("input.dat")                                                                       ## open input file
contens = f.readlines()                                                                     ## read contents of input file
x = float(contens[0])                                                                       ## read x value
y = float(contens[1])                                                                       ## read y value
f.close()                                                                                   ## close input file


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## compute Shubert function
sum1 = 0.0
for j in xrange(5):
    i = j + 1
    sum1 = sum1 + i * math.cos( (i + 1.0) * x + i)
sum2 = 0.0
for j in xrange(5):
    i = j + 1
    sum2 = sum2 + i * math.cos( (i + 1.0) * y + i)
result1 = "%.15e\n" % (sum1 * sum2)


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## write result to output file
outfile = open("output.dat", 'w')
outfile.write(result1)
outfile.close()


## we've done
##--------------------------------------------------------------------------------------------------------------------------------------------------------

